curl --request POST \
--url https://api.tread-horizon.com/v1/companies/{company-id}/omni_reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"dashboard_id": "<string>",
"report_category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"system": true
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"dashboard_id": "<string>",
"system": true,
"report_category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"system": true
}
}
}Create Omni Report for a Company
curl --request POST \
--url https://api.tread-horizon.com/v1/companies/{company-id}/omni_reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"dashboard_id": "<string>",
"report_category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"system": true
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"dashboard_id": "<string>",
"system": true,
"report_category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"system": true
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Company ID
Created
Show child attributes